POST /crm/admin/{accountId}/customers/lookup

Headers

  • Accept string Required

Path parameters

  • accountId string Required

    Deliverect account ID

Query parameters

  • size integer(int32)
  • page integer(int32)
application/json

Body Required

object object

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • total number
    • page number
    • size number
    • items array[string]
POST /crm/admin/{accountId}/customers/lookup
curl \
 --request POST 'https://api.staging.deliverect.com/crm/admin/{accountId}/customers/lookup' \
 --header "Content-Type: application/json" \
 --header "Accept: application/json"
Request examples
# Headers
Accept: application/json

# Payload
{}
Response examples (200)
{
  "page": 1,
  "size": 50,
  "items": [
    {
      "email": "john.doe@example.com",
      "fullName": "John Doe",
      "totalOrders": 1,
      "lastPurchaseDate": "2025-10-31T14:37:31.898000Z"
    },
    {
      "email": "alice.smith@example.com",
      "fullName": "Alice Smith",
      "totalOrders": 2,
      "lastPurchaseDate": "2025-10-24T16:51:03.249000Z"
    },
    {
      "email": "bob.jones@example.com",
      "fullName": "Bob Jones",
      "totalOrders": 0,
      "lastPurchaseDate": null
    }
  ],
  "total": 3
}